Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectweb.jass.hls.ont
Class ONTActivityImpl

    java.lang.Object
      org.objectweb.jass.hls.ont.ONTActivityImpl

All Implemented Interfaces:
  javax.activity.opennested.ONTActivity, java.io.Serializable

public class ONTActivityImpl
extends java.lang.Object
implements javax.activity.opennested.ONTActivity, java.io.Serializable

Implements the ONTActivity interface in order to implement suspend and resume methods of the extension of UserOpenNested interface.

Author:
  fran Date: Feb 25, 2004 org.objectweb.jass.hls.ontONTActivityImpl.java
See Also:
  Serialized Form

Constructor Summary
`ONTActivityImpl(javax.transaction.Transaction tx, javax.activity.ActivityToken at)` ONTActivityImpl constructor.

Method Summary
`javax.activity.ActivityToken` | `getActivityToken()` Returns the ActivityTokenof the ONT activity
`javax.transaction.Transaction` | `getTransaction()` Returns the transaction associated to the ONTActivity
`void` | `setActivityToken(javax.activity.ActivityToken at)` Set the ActivityToken of the ONT activity
`void` | `setTransaction(javax.transaction.Transaction tx)` Sets the transaction associated to the ONTActivity

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ONTActivityImpl

    public ONTActivityImpl(javax.transaction.Transaction tx,
                           javax.activity.ActivityToken at)

  ONTActivityImpl constructor.

Parameters:
  `tx` - the associated transaction.
  `at` - the associated ActivityToken element.

Method Detail

### getTransaction

    public javax.transaction.Transaction getTransaction()

  Returns the transaction associated to the ONTActivity

  Specified by:
    `getTransaction` in interface `javax.activity.opennested.ONTActivity`

### setTransaction

    public void setTransaction(javax.transaction.Transaction tx)

  Sets the transaction associated to the ONTActivity

  Specified by:
    `setTransaction` in interface `javax.activity.opennested.ONTActivity`

### getActivityToken

    public javax.activity.ActivityToken getActivityToken()

  Returns the ActivityTokenof the ONT activity

  Specified by:
    `getActivityToken` in interface `javax.activity.opennested.ONTActivity`

### setActivityToken

    public void setActivityToken(javax.activity.ActivityToken at)

  Set the ActivityToken of the ONT activity

  Specified by:
    `setActivityToken` in interface `javax.activity.opennested.ONTActivity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD